package com.yihu.jw.entity.hospital.dict;

import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by zdm on 2019/5/28.
 */
@Entity
@Table(name = "base_supervise_data_dict")
public class BaseSuperviseDataDict extends UuidIdentityEntity {

    private String dictName;//环境名字
    private String corporation;//单位法人姓名
    private String noPraLic;//执业许可登记号
    private String secondOrganName;//机构第二名称
    private String chargePerson;//主要负责人
    private String levelCode;//机构等位分级
    private String economicType;//经济类型
    private String organType;//组织类别
    private String hospitalAddress;//医院具体地址
    private String hospitalPhone;//医院联系电话
    private String secuLevel;//信息系统安全等级保护级别
    private String netService;//开展互联网医疗服务
    private String serviceDept;//开展的临床科室
    private String protocolType;//协议类型
    private String protocolContent;//协议内容
    private String publishDate;//发布时间
    private String protocolName;//协议名称
    private String txtIntroduction;//医生介绍
    private String doctorNetService;//医生开展互联网医疗服务
    private String userProtocolType;//用户使用协议类型
    private String userProtocolContent;//用户使用协议内容
    private String userPublishDate;//用户使用发布时间
    private String userProtocolName;//用户协议名称
    private Integer status;//1生效0失效




    @Column(name = "dict_name")
    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }
    @Column(name = "corporation")
    public String getCorporation() {
        return corporation;
    }

    public void setCorporation(String corporation) {
        this.corporation = corporation;
    }
    @Column(name = "no_pra_lic")
    public String getNoPraLic() {
        return noPraLic;
    }

    public void setNoPraLic(String noPraLic) {
        this.noPraLic = noPraLic;
    }
    @Column(name = "second_organ_name")
    public String getSecondOrganName() {
        return secondOrganName;
    }

    public void setSecondOrganName(String secondOrganName) {
        this.secondOrganName = secondOrganName;
    }
    @Column(name = "charge_person")
    public String getChargePerson() {
        return chargePerson;
    }

    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson;
    }
    @Column(name = "level_code")
    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }
    @Column(name = "economic_type")
    public String getEconomicType() {
        return economicType;
    }

    public void setEconomicType(String economicType) {
        this.economicType = economicType;
    }
    @Column(name = "organ_type")
    public String getOrganType() {
        return organType;
    }

    public void setOrganType(String organType) {
        this.organType = organType;
    }
    @Column(name = "hospital_address")
    public String getHospitalAddress() {
        return hospitalAddress;
    }

    public void setHospitalAddress(String hospitalAddress) {
        this.hospitalAddress = hospitalAddress;
    }

    @Column(name = "hospital_phone")
    public String getHospitalPhone() {
        return hospitalPhone;
    }

    public void setHospitalPhone(String hospitalPhone) {
        this.hospitalPhone = hospitalPhone;
    }

    @Column(name = "secu_level")
    public String getSecuLevel() {
        return secuLevel;
    }

    public void setSecuLevel(String secuLevel) {
        this.secuLevel = secuLevel;
    }

    @Column(name = "net_service")
    public String getNetService() {
        return netService;
    }

    public void setNetService(String netService) {
        this.netService = netService;
    }

    @Column(name = "service_dept")
    public String getServiceDept() {
        return serviceDept;
    }

    public void setServiceDept(String serviceDept) {
        this.serviceDept = serviceDept;
    }

    @Column(name = "protocol_type")
    public String getProtocolType() {
        return protocolType;
    }

    public void setProtocolType(String protocolType) {
        this.protocolType = protocolType;
    }

    @Column(name = "protocol_content")
    public String getProtocolContent() {
        return protocolContent;
    }

    public void setProtocolContent(String protocolContent) {
        this.protocolContent = protocolContent;
    }

    @Column(name = "publish_date")
    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    @Column(name = "protocol_name")
    public String getProtocolName() {
        return protocolName;
    }

    public void setProtocolName(String protocolName) {
        this.protocolName = protocolName;
    }

    @Column(name = "txt_introduction")
    public String getTxtIntroduction() {
        return txtIntroduction;
    }

    public void setTxtIntroduction(String txtIntroduction) {
        this.txtIntroduction = txtIntroduction;
    }

    @Column(name = "user_protocol_type")
    public String getUserProtocolType() {
        return userProtocolType;
    }

    public void setUserProtocolType(String userProtocolType) {
        this.userProtocolType = userProtocolType;
    }

    @Column(name = "user_protocol_content")
    public String getUserProtocolContent() {
        return userProtocolContent;
    }

    public void setUserProtocolContent(String userProtocolContent) {
        this.userProtocolContent = userProtocolContent;
    }

    @Column(name = "user_publish_date")
    public String getUserPublishDate() {
        return userPublishDate;
    }

    public void setUserPublishDate(String userPublishDate) {
        this.userPublishDate = userPublishDate;
    }

    @Column(name = "user_protocol_name")
    public String getUserProtocolName() {
        return userProtocolName;
    }

    public void setUserProtocolName(String userProtocolName) {
        this.userProtocolName = userProtocolName;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "doctor_net_service")
    public String getDoctorNetService() {
        return doctorNetService;
    }

    public void setDoctorNetService(String doctorNetService) {
        this.doctorNetService = doctorNetService;
    }
}
